//----------------------------------------------------------------------------
//  Project Dockcbex
//  Tenermerx Software
//  Copyright  1997 Tenermerx Software.
//
//  SUBSYSTEM:    Dockcbex Application
//  FILE:         dcbapp.h
//  AUTHOR:       Christopher Kohlhoff
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TDCBApp (TApplication).
//
//----------------------------------------------------------------------------
#if !defined(dcbapp_h)              // Sentry, use file only if it's not already included.
#define dcbapp_h

#include <owl/controlb.h>
#include <owl/docking.h>
#include <owl/opensave.h>


#include "dcbapp.rh"            // Definition of all resources.

class TMyToolbar;


//{{TApplication = TDCBApp}}
class TDCBApp : public TApplication {
  private:

    void SetupSpeedBar(TDecoratedFrame* frame);

  public:
    TDCBApp();
    virtual ~TDCBApp();

    TOpenSaveDialog::TData FileData;
    THarbor* ApxHarbor;
    TMyToolbar* Toolbar;

//{{TDCBAppVIRTUAL_BEGIN}}
  public:
    virtual void InitMainWindow();
//{{TDCBAppVIRTUAL_END}}

//{{TDCBAppRSP_TBL_BEGIN}}
  protected:
    void CmFileNew();
    void CmFileOpen();
    void CmViewToolbar();
    void CeViewToolbar(TCommandEnabler &tce);
//{{TDCBAppRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TDCBApp);
};    //{{TDCBApp}}

#endif  // dcbapp_h sentry.
