//----------------------------------------------------------------------------
//  Project Lstwndex
//  Tenermerx Software
//  Copyright  1997 Tenermerx Software.
//
//  SUBSYSTEM:    Lstwndex Application
//  FILE:         lwapp.cpp
//  AUTHOR:       Christopher Kohlhoff
//
//  OVERVIEW
//  ~~~~~~~~
//  Source file for implementation of TLWApp (TApplication).
//
//----------------------------------------------------------------------------

#include <owl/pch.h>

#include <stdio.h>

#include "lwapp.h"
#include "lwwindow.h"                        // Definition of client class.


//{{TLWApp Implementation}}


//
// Build a response table for all messages/commands handled
// by the application.
//
DEFINE_RESPONSE_TABLE1(TLWApp, TApplication)
//{{TLWAppRSP_TBL_BEGIN}}
//{{TLWAppRSP_TBL_END}}
END_RESPONSE_TABLE;


//--------------------------------------------------------
// TLWApp
//
TLWApp::TLWApp() : TApplication("List Window Example")
{
}


TLWApp::~TLWApp()
{
}


//--------------------------------------------------------
// TLWApp
// ~~~~~
// Application intialization.
//
void TLWApp::InitMainWindow()
{
  if (nCmdShow != SW_HIDE)
    nCmdShow = (nCmdShow != SW_SHOWMINNOACTIVE) ? SW_SHOWNORMAL : nCmdShow;

  TFrameWindow* frame = new TFrameWindow(0, GetName(), new TLWWindow(0), false);

  // Assign icons for this application.
  //
  frame->SetIcon(this, IDI_SDIAPPLICATION);
  frame->SetIconSm(this, IDI_SDIAPPLICATION);

  // Menu associated with window and accelerator table associated with table.
  //
  frame->AssignMenu(IDM_SDI);

  // Associate with the accelerator table.
  //
  frame->Attr.AccelTable = IDM_SDI;

  SetMainWindow(frame);

  frame->SetMenuDescr(TMenuDescr(IDM_SDI));
}


int OwlMain(int , char* [])
{
  TLWApp   app;
  return app.Run();
}
