//----------------------------------------------------------------------------
//  Project Lstwndex
//  Tenermerx Software
//  Copyright  1997 Tenermerx Software.
//
//  SUBSYSTEM:    Lstwndex Application
//  FILE:         lwwindow.h
//  AUTHOR:       Christopher Kohlhoff
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TLWWindow (TWindow).
//
//----------------------------------------------------------------------------
#if !defined(lwwindow_h)              // Sentry, use file only if it's not already included.
#define lwwindow_h

#include "lwapp.rh"            // Definition of all resources.

class TListWindow;
class TLwNotify;
class TImageList;
class TNotify;

//{{TWindow = TLWWindow}}
class TLWWindow : public TWindow {
  public:
    TLWWindow(TWindow* parent, const char far* title = 0, TModule* module = 0);
    virtual ~TLWWindow();

  protected:
    TListWindow* List;     // the list window
    TImageList*  LargeImg; // the large images to use for the list
    TImageList*  SmallImg; // the small images to use for the list
    int  ViewBy;           // how items are shown (large or small icons, list, report);
    bool SortUp;           // sort the items upwards
    int  Column;           // the column to sort on
    
    void AddListColumns();
    void AddListItems();

//{{TLWWindowVIRTUAL_BEGIN}}
  public:
    virtual void SetupWindow();
//{{TLWWindowVIRTUAL_END}}

//{{TLWWindowRSP_TBL_BEGIN}}
  protected:
    void EvSize(uint sizeType, TSize& size);
    void CmViewChange(WPARAM id);
    void CeViewChange(TCommandEnabler &tce);
    void ListColumnClick(TLwNotify& notify);
    void ListDoubleClick();
//{{TLWWindowRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TLWWindow);
};    //{{TLWWindow}}


#endif  // lwwindow_h sentry.
