//----------------------------------------------------------------------------
//  Project BmpMenuApp
//  
//  Copyright  1998. All Rights Reserved.
//
//  SUBSYSTEM:    BmpMenuApp Application
//  FILE:         bmpmenuapp.h
//  AUTHOR:       Dieter Windau
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TBmpMenuApp (TApplication).
//
//----------------------------------------------------------------------------
#if !defined(bmpmenuapp_h)              // Sentry, use file only if it's not already included.
#define bmpmenuapp_h

#include <owl/controlb.h>
#include <owl/docking.h>
#include <owl/rcntfile.h>

#include "mdi/bmpmenumdiclient.h"

#include "mdi/bmpmenuapp.rh"            // Definition of all resources.


//{{TApplication = TBmpMenuApp}}
class TBmpMenuApp : public TApplication, public TRecentFiles {
  private:
    void SetupSpeedBar(TDecoratedMDIFrame* frame);

  public:
    TBmpMenuApp();
    virtual ~TBmpMenuApp();

    void CreateGadgets(TDockableControlBar* cb, bool server = false);
    THarbor*        ApxHarbor;

    TBmpMenuMDIClient* MdiClient;

//{{TBmpMenuAppVIRTUAL_BEGIN}}
  public:
    virtual void InitMainWindow();
//{{TBmpMenuAppVIRTUAL_END}}

//{{TBmpMenuAppRSP_TBL_BEGIN}}
  protected:
    void EvNewView(TView& view);
    void EvCloseView(TView& view);
    void CmHelpAbout();
    void EvOwlDocument(TDocument& doc);
    int32 CmFileSelected(uint wp, int32 lp);
//{{TBmpMenuAppRSP_TBL_END}}

		void CeExit(TCommandEnabler& ce);

    void CmDrawRecessed();
    void CeDrawRecessed(TCommandEnabler& ce);
    void CmShowAccInTooltips();
    void CeShowAccInTooltips(TCommandEnabler& ce);
    void CmShowBackBitmap();
    void CeShowBackBitmap(TCommandEnabler& ce);

		void CmView50();
		void CmView100();
		void CmView200();
    void CeView(TCommandEnabler& ce);

    void CmToolbar();
    void CeToolbar(TCommandEnabler& ce);
    void CmStatusbar();
    void CeStatusbar(TCommandEnabler& ce);
    
    void CmBitmapOnOff();
		void CeBitmapOnOff(TCommandEnabler& ce);

		void CmChangeText();
    void CeChangeText(TCommandEnabler& ce);

		void CmInsertItem();
		void CeInsertItem(TCommandEnabler& ce);

		void CmRemoveItem();
		void CeRemoveItem(TCommandEnabler& ce);

		void CmTestItem2();
		void CmTestItem4();

  protected:
    int  iView;
    bool bToolbar, bStatusbar;
    bool bmpOnOff;
    int  numCommands;
    char menutxt[128];
    TMenu *popupMenu;

DECLARE_RESPONSE_TABLE(TBmpMenuApp);
};    //{{TBmpMenuApp}}


#endif  // bmpmenuapp_h sentry.
