//----------------------------------------------------------------------------
//  Project Shitemex
//  Tenermerx Software
//  Copyright  1997 Tenermerx Software.
//
//  SUBSYSTEM:    Shitemex Application
//  FILE:         shexapp.cpp
//  AUTHOR:       Christopher Kohlhoff
//
//  OVERVIEW
//  ~~~~~~~~
//  Source file for implementation of TShExApp (TApplication).
//
//----------------------------------------------------------------------------

#include <owl/pch.h>

#include <stdio.h>

#include "shexapp.h"
#include "shexwndw.h"                        // Definition of client class.
#include "shexabtd.h"                        // Definition of about dialog.


//{{TShExApp Implementation}}


//
// Build a response table for all messages/commands handled
// by the application.
//
DEFINE_RESPONSE_TABLE1(TShExApp, TApplication)
//{{TShExAppRSP_TBL_BEGIN}}
  EV_COMMAND(CM_HELPABOUT, CmHelpAbout),
//{{TShExAppRSP_TBL_END}}
END_RESPONSE_TABLE;


//--------------------------------------------------------
// TShExApp
//
TShExApp::TShExApp() : TApplication("ShellItem Example")
{

  // Common file file flags and filters for Open/Save As dialogs.  Filename and directory are
  // computed in the member functions CmFileOpen, and CmFileSaveAs.
  //
  FileData.Flags = OFN_FILEMUSTEXIST | OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT | OFN_EXPLORER;
  FileData.SetFilter("All Files (*.*)|*.*|");
}


TShExApp::~TShExApp()
{
}


//--------------------------------------------------------
// TShExApp
// ~~~~~
// Application intialization.
//
void TShExApp::InitMainWindow()
{
  if (nCmdShow != SW_HIDE)
    nCmdShow = (nCmdShow != SW_SHOWMINNOACTIVE) ? SW_SHOWNORMAL : nCmdShow;

  TFrameWindow* frame = new TFrameWindow(0, GetName(), new TShExWindow(0), false);

  // Assign icons for this application.
  //
  frame->SetIcon(this, IDI_SDIAPPLICATION);
  frame->SetIconSm(this, IDI_SDIAPPLICATION);

  // Menu associated with window and accelerator table associated with table.
  //
  frame->AssignMenu(IDM_SDI);

  // Associate with the accelerator table.
  //
  frame->Attr.AccelTable = IDM_SDI;

  SetMainWindow(frame);

  frame->SetMenuDescr(TMenuDescr(IDM_SDI));
}


//--------------------------------------------------------
// TShExApp
// ~~~~~~~~~~~
// Menu Help About Shitemex command
//
void TShExApp::CmHelpAbout()
{
  // Show the modal dialog.
  //
  TShExAboutDlg(MainWindow).Execute();
}



int OwlMain(int , char* [])
{
  TShExApp   app;
  return app.Run();
}
