//----------------------------------------------------------------------------
//  Project Shitemex
//  Tenermerx Software
//  Copyright  1997 Tenermerx Software.
//
//  SUBSYSTEM:    Shitemex Application
//  FILE:         shexwndw.h
//  AUTHOR:       Christopher Kohlhoff
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TShExWindow (TWindow).
//
//----------------------------------------------------------------------------
#if !defined(shexwndw_h)              // Sentry, use file only if it's not already included.
#define shexwndw_h

#include "shexapp.rh"            // Definition of all resources.
#include <owl/shellitm.h>


class TShellItem;

//{{TWindow = TShExWindow}}
class TShExWindow : public TWindow {
  public:
    TShExWindow(TWindow* parent, const char far* title = 0, TModule* module = 0);
    virtual ~TShExWindow();

  protected:
    TShellItem Item;
    TContextMenu ContextMenu;

//{{TShExWindowVIRTUAL_BEGIN}}
  public:
    virtual void Paint(TDC& dc, bool erase, TRect& rect);
    virtual TResult EvCommand(uint id, THandle hWndCtl, uint notifyCode);
//{{TShExWindowVIRTUAL_END}}

//{{TShExWindowRSP_TBL_BEGIN}}
  protected:
    void CmFileOpen();
    void CmFileOpenFolder();
    void CmAddToDocs();
    void CmCopyOrMove(WPARAM id);
    void CmDelete();
    void CeCopy(TCommandEnabler &tce);
    void CeMove(TCommandEnabler &tce);
    void CeDelete(TCommandEnabler &tce);
    void EvContextMenu(HWND childHwnd, int x, int y);
    void CmCreateShortcut();
    void CeCreateShortcut(TCommandEnabler &tce);
    void CmRename();
    void CeRename(TCommandEnabler &tce);
//{{TShExWindowRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TShExWindow);
};    //{{TShExWindow}}


#endif  // shexwndw_h sentry.
