// ---------------------------------------------------------------------------
// ObjectWindows
//
//  Fifth version adds a dialog enablers.
//----------------------------------------------------------------------------
#include <owl/pch.h>
#include <owl/applicat.h>
#include <owl/framewin.h>
#include <owl/decframe.h>
#include <owl/controlb.h>
#include <owl/btntextg.h>
#include <owl/statusba.h>
#include <owl/checkbox.h>
#include <owl/radiobut.h>
#include "dlgenab.h"

//
// class TCmdEnableApp
// ~~~~~ ~~~~~~~~~~~~~
// Application object initializes TApplication, overrides InitMainWindow.
//
class TCmdEnableApp : public TApplication {
  public:
    TCmdEnableApp() : TApplication() {}

  protected:
    void InitMainWindow();
 
};


//
// class TCmdEnableDialog
// ~~~~~ ~~~~~~~~~~~~~~~~
//
class TCmdEnableDialog: public TDialog{
	public:
		TCmdEnableDialog(TWindow* parent, TResId resId, TModule* module = 0);

		void CeCheckBox1(TCommandEnabler&);
		void CeCheckBox2(TCommandEnabler&);
		void CeCheckBox3(TCommandEnabler&);
		void CeRadioButton1(TCommandEnabler&);
		void CeRadioButton2(TCommandEnabler&);

	protected:
		TCheckBox*		Check1;
		TCheckBox*		Check2;
		TCheckBox*	  Check3;
		TRadioButton* Radio1;
		TRadioButton* Radio2;

	DECLARE_RESPONSE_TABLE(TCmdEnableDialog);
};


//
// class TCmdEnableWindow
// ~~~~~ ~~~~~~~~~~~~~~~~
// Window object initializes TWindow, adds four event handlers,
// adds response table for four events.
class TCmdEnableWindow : public TWindow {
	public:
		TCmdEnableWindow(TWindow* parent = 0):TWindow(parent){}
		void CmShowDialog();

	DECLARE_RESPONSE_TABLE(TCmdEnableWindow);
};
DEFINE_RESPONSE_TABLE1(TCmdEnableWindow, TWindow)
	EV_COMMAND(CM_DIALOG, 	 CmShowDialog),
END_RESPONSE_TABLE;

//
// TCmdEnableApp::InitMainWindow
//
void
TCmdEnableApp::InitMainWindow()
{
	// Construct the decorated frame window
	//
	TDecoratedFrame* frame = new TDecoratedFrame(0, "Dialog-enabling sample application",
		new TCmdEnableWindow, true);

	// Set the main window and its menu
	//
	SetMainWindow(frame);
	GetMainWindow()->AssignMenu(MN_COMMANDS);
}

//
//
//
DEFINE_RESPONSE_TABLE1(TCmdEnableDialog, TDialog)
	EV_COMMAND_ENABLE(IDC_CHECKBOX1, CeCheckBox1),
	EV_COMMAND_ENABLE(IDC_CHECKBOX2, CeCheckBox2),
	EV_COMMAND_ENABLE(IDC_CHECKBOX3, CeCheckBox3),
	EV_COMMAND_ENABLE(IDC_RADIOBUTTON1, CeRadioButton1),
	EV_COMMAND_ENABLE(IDC_RADIOBUTTON2, CeRadioButton2),
END_RESPONSE_TABLE;

TCmdEnableDialog::TCmdEnableDialog(TWindow* parent, TResId resId, TModule* module)
:
	TDialog(parent, resId, module)
{
	Check1 = new TCheckBox(this,IDC_CHECKBOX1);
	Check2 = new TCheckBox(this,IDC_CHECKBOX2);
	Check3 = new TCheckBox(this,IDC_CHECKBOX3);
	Radio1 = new TRadioButton(this, IDC_RADIOBUTTON1);
	Radio2 = new TRadioButton(this, IDC_RADIOBUTTON2);
}

void
TCmdEnableDialog::CeCheckBox1(TCommandEnabler& tce)
{
	tce.SetText(Check1->GetCheck()==BF_CHECKED ? "Disable":"Enable");
}
void
TCmdEnableDialog::CeCheckBox2(TCommandEnabler& tce)
{
	tce.Enable(Check1->GetCheck()==BF_CHECKED);
}
void
TCmdEnableDialog::CeCheckBox3(TCommandEnabler& tce)
{
	tce.Enable(Check1->GetCheck()==BF_CHECKED && Check2->GetCheck()==BF_CHECKED);
}
void
TCmdEnableDialog::CeRadioButton1(TCommandEnabler& tce)
{
	tce.Enable(Check1->GetCheck()==BF_CHECKED && Check3->GetCheck()==BF_CHECKED);
}
void
TCmdEnableDialog::CeRadioButton2(TCommandEnabler& tce)
{
	tce.Enable(Check1->GetCheck()==BF_CHECKED && Check3->GetCheck()==BF_CHECKED);
}

void
TCmdEnableWindow::CmShowDialog()
{
	TCmdEnableDialog(this,IDD_DIALOG1).Execute();
}


//
// Put the OwlMain here just to get it out of the way
//
int
OwlMain(int /*argc*/, char* /*argv*/ [])
{
	return TCmdEnableApp().Run();
}

