// Graph Test program
//
//    Mark E. Burkard
//    (C) 1998
//
// THIS PROGRAM MAY BE FREELY USED AND ALTERED
//

#include <owl/pch.h>
#include <owl/applicat.h>
#include <owl/framewin.h>
#include <owl/dc.h>
#include <owl/printer.h>
#include <owl/editfile.rh>
#include <stdlib.h>
#include <string.h>

#include <owl\window.h>
#include <owl\framewin.h>
#include <owl\dc.h>
#include <owl\applicat.h>
#include <string.h>
#include <classlib\arrays.h>
#include <math.h>
#include <owl\chooseco.h>
#include <owl\inputdia.h>
#include <owl\edit.h>
#include <owl\updown.h>
#include <owl\printer.h>

#pragma hdrstop

#include "tgraphwindow.h"


class TGraphApp : public TApplication              // The Application Class
{
	private:
   	char** YGNames;
      char*** YNames;
      char** YUnits;
      TArray<double>* X;
      TArray<double>*** Y;


	public:
   	TGraphApp() : TApplication() {}
   	~TGraphApp() { }

	 void InitMainWindow()
	 {
      X = new TArray<double>(10, 0, 10);
      Y = new TArray<double>**[2];
      Y[0] = new TArray<double>*[1];
      Y[0][0] = new TArray<double>(10, 0, 10);
      Y[1] = new TArray<double>*[2];
      Y[1][0] = new TArray<double>(10, 0, 10);
      Y[1][1] = new TArray<double>(10, 0, 10);

      X->Add(0);  Y[0][0]->Add(3.5E-7);  Y[1][0]->Add(1);      Y[1][1]->Add(1);
      X->Add(1);	Y[0][0]->Add(3.0E-7);  Y[1][0]->Add(1.5);    Y[1][1]->Add(1.5);
      X->Add(2);	Y[0][0]->Add(2.0E-7);  Y[1][0]->Add(2);      Y[1][1]->Add(2);
      X->Add(3);	Y[0][0]->Add(1.0E-7);  Y[1][0]->Add(3);      Y[1][1]->Add(3);
      X->Add(4);	Y[0][0]->Add(8.0E-8);  Y[1][0]->Add(6);      Y[1][1]->Add(5.9);
      X->Add(5);	Y[0][0]->Add(7.0E-8);  Y[1][0]->Add(12);     Y[1][1]->Add(11);
      X->Add(6);	Y[0][0]->Add(6.5E-8);  Y[1][0]->Add(24);     Y[1][1]->Add(22);
      X->Add(7);	Y[0][0]->Add(6.0E-8);  Y[1][0]->Add(48);     Y[1][1]->Add(40);
      X->Add(8);	Y[0][0]->Add(5.5E-8);  Y[1][0]->Add(96);     Y[1][1]->Add(66);
      X->Add(9);	Y[0][0]->Add(5.0E-8);  Y[1][0]->Add(184);    Y[1][1]->Add(75);
      X->Add(10);	Y[0][0]->Add(4.0E-8);  Y[1][0]->Add(185);    Y[1][1]->Add(76);

      YNames = new char**[2];
      YNames[0] = new char*[1];
      YNames[0][0] = new char[4];
      YNames[0][0][0] = '\0';
      YNames[1] = new char*[2];
      YNames[1][0] = new char[10];
      YNames[1][1] = new char[10];
      strcpy(YNames[1][0], "foam");
      strcpy(YNames[1][1], "rubber");

      YGNames = new char*[2];
      YGNames[0] = new char [12];
      YGNames[1] = new char [12];
      strcpy (YGNames[0], "Size");
      strcpy (YGNames[1], "Mass");

      YUnits = new char*[2];
      YUnits[0] = new char [10];
      YUnits[1] = new char [10];
      strcpy (YUnits[0], "cm");
      strcpy (YUnits[1], "g");

      int* Ny;
      Ny = new int[2];
      Ny[0] = 1;
      Ny[1] = 2;

      char* XName;
      char* XUnit;
      XName = new char[10];
      XUnit = new char[10];
      strcpy (XName, "Time");
      strcpy (XUnit, "min");

      TFrameWindow* frame;
      frame = new TFrameWindow(0, "Graph");

      TGraphWindow* GraphWin;
      GraphWin = new TGraphWindow(frame, 0, "Graph", 2, Ny, XName, YGNames,
      					YNames, XUnit, YUnits, X, Y, true);

		frame->SetClientWindow(GraphWin);

		SetMainWindow(frame);
 	 }
};




int
OwlMain(int, char*[])
{
  return TGraphApp().Run();
}

