/*
 * splash.cpp
 *
 * Shows how to play with multiselection open dialog boxes using OWL framework
 * Copyright (C) 1997 Brice VIDAL
 *
 * Just more mumbo-jumbo...
 *
 * This program is free software; you can redistribute it and/or
 * modify it.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

#include <owl/applicat.h> 
#include <owl/gdiobjec.h> 
#include <owl/splashwi.h> 

TSplashWindow* splashWindow;  
TDib splashDib("splash.bmp"); 

class TSplashApp : public TApplication 
{ 
    public: 
    TSplashApp() : TApplication("Splash Screen Demo") 
    { 
       int style =  TSplashWindow::MakeStatic | 
              TSplashWindow::MakeGauge | 
              TSplashWindow::CaptureMouse; 
  
       int timeOut = 10000; 

        splashWindow = new TSplashWindow(splashDib, splashDib.Width(),
                splashDib.Heigth() + 100, style, timeOut); 

        splashWindow->Create(); // create the splash window 
        splashWindow->UpdateWindow(); // update the display to show the splash screen 

        splashWindow->SetText("Splash Window Created"); 
        splashWindow->SetPercentDone(25); 

        sleep(5); // wait 5 seconds, only for this example 
        splashWindow->SetText("Delay Ended");
        splashWindow->SetPercentDone(50);

    } 

    ~TSplashApp(){} 

    void InitMainWindow() 
    { 
                  splashWindow->SetText("Initializaing the main Window");
        splashWindow->SetPercentDone(75);
 
        TApplication::InitMainWindow(); 

                  splashWindow->SetText("Deleting SplashWindow");
        splashWindow->SetPercentDone(100); 

                  sleep(3);

        delete splashWindow; 
    } 
}; 

int OwlMain(int , char* []) 
{ 
  TSplashApp app; 
  return app.Run(); 
} 