#define ID_LINE_DIALOG 9700
#define PENSIZE 9701
#define PENSIZE_UD 9502


class TThickDialog : public TDialog
{
	public:
		TThickDialog(TWindow* parent, char* title, int& thick);
   	~TThickDialog();

   protected:
	   void SetupWindow();
      void PenChange();

   private:
   	int* Thickn;   // store pointers to this variable so I can
 						  // change it
      TEdit* ThickEdit;
      TUpDown* ThickUD;
      int th2;

   DECLARE_RESPONSE_TABLE(TThickDialog);
};

DEFINE_RESPONSE_TABLE1(TThickDialog, TDialog)
	EV_EN_CHANGE(PENSIZE, PenChange),
END_RESPONSE_TABLE;


TThickDialog::TThickDialog(TWindow* parent, char* title, int& thick
							) : TDialog(parent, ID_LINE_DIALOG)
{
	Thickn = &thick;
   th2 = thick;
   SetCaption(title);
   ThickEdit = new TEdit(this, PENSIZE);
   ThickUD = new TUpDown(this, PENSIZE_UD, 87, 19, 11, 13, ThickEdit);
   ThickUD->Attr.Style |= UDS_SETBUDDYINT | UDS_ALIGNRIGHT;
}


TThickDialog::~TThickDialog()
{
	// do NOT delete Thick or Style;  these point to parent-owned variables
   delete ThickEdit;
   delete ThickUD;
}

void
TThickDialog::SetupWindow()
{
  TDialog::SetupWindow();
  ThickUD->SetRange(1, 20);
  ThickUD->SetPos(th2);
}


void
TThickDialog::PenChange()
{
	*Thickn = int(ThickUD->GetPos());
}



